• Resolved Ov3rfly

    (@ov3rfly)


    Found many thousands of messages in debug.log at client website:

    Legacy widgets have been deprecated. Consider using blocks instead.

    Please remove the message or add a switch or filter to disable them.

    Client runs a classic theme and will never be able to use blocks.

    Event post 5.9.3, WordPress 6.4.4, PHP 8.1.x

Viewing 1 replies (of 1 total)
  • Plugin Author Bastien Ho

    (@bastho)

    You’re right, logs are annoying, but we have many features to maintain, and legacy widgets are not up to receive updates anymore.

    For example, if a security issue occurs on one of them, it will be simply removed, which will not be pleasant.

    By the way, even classic themes allow to use blocks in widget areas.

    However, starting of next release, you’ll be able to add define('ALLOW_DEPRECATED', true) to your wp-config.php

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.